Bug 1418361 - Baremetal host fails to pxeboot local disk after provision: Lenovo RD350
Summary: Baremetal host fails to pxeboot local disk after provision: Lenovo RD350
Keywords:
Status: NEW
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: Installation - RHEV
Version: 1.1
Hardware: x86_64
OS: All
unspecified
unspecified
Target Milestone: ---
: 1.2
Assignee: Jason Montleon
QA Contact: Sudhir Mallamprabhakara
Dan Macpherson
URL:
Whiteboard:
Depends On: 1418835
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 16:09 UTC by Landon LaSmith
Modified: 2017-02-06 14:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1122153 0 high CLOSED Foreman: The "LOCALBOOT 0" entry causes some bare metal machines to stuck during boot. 2021-02-22 00:41:40 UTC

Internal Links: 1122153

Description Landon LaSmith 2017-02-01 16:09:14 UTC
Description of problem: During a RHV deployment consisting of HP DL60 and Lenovo RD350 hardware for engine/hypervisor, the Lenovo machines fail to pxeboot the local disk after provisioning completes.

QCI Media Version: QCI-1.1-RHEL-7-20170130.t.0
Lenovo RD350 Bios Version: VB3TS381 (V3.81.0)
HP DL60 Bios Version: U15 v2.30 (09/12/2016)

How reproducible: 100%

Steps to Reproduce:
1. Install QCI from iso
2. Boot Lenovo RD350 machines into foreman discovery mode
3. Start a RHV deployment with lenovo hosts as the engine and/or hypervisor

Actual results: Deployment fails while waiting for affected host(s) to boot the local disk and come online 


Expected results: pxeboot menu option to boot the local disk succeeds

Comment 1 Landon LaSmith 2017-02-02 18:42:18 UTC
I updated the Lenovo RD350 bios to version 3.95 but the issue still persists.  As a workaround I updated Satellite provisioning template for "PXELinux default local boot" to add a default option for booting the local disk using "chain.c32 hd0"


<%#
kind: PXELinux
name: PXELinux default local boot
%>

<%# This template has special name (do not change it) and it is used for booting already provisioned hosts. %>

DEFAULT menu
PROMPT 0
MENU TITLE PXE Menu
TIMEOUT 200
TOTALTIMEOUT 6000
ONTIMEOUT local-chain

LABEL local-chain
     MENU LABEL (local-chain)
     MENU DEFAULT
     COM32 chain.c32
     APPEND hd0

LABEL local
     MENU LABEL (local)
     MENU DEFAULT
     LOCALBOOT 0

Comment 3 Jason Montleon 2017-02-06 14:37:29 UTC
We can look at making this change to the template we seed for 1.2.


Note You need to log in before you can comment on or make changes to this bug.